Memory (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.Memory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface Memory

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface Memory

extends CIMSystem, Version, ConfigurationItem

This class was added by the VMWare Sensor. The sensors and DLAs do not current populate this class. The DLAs and Sensors use the MemorySize attribute in the ComputerSystem class. In future releases the model will be changed to standardize on MemorySize and other memory attributes. This class is in an initial draft status and may change in the future.

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  Memory
Display Name:
  parent

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBaseAddress()` Base Physical address of memory on a board.
`MemoryResourcePool` | `getMemoryresourcepool()`
`long` | `getMemorySize()`
`ComputerSystem` | `getParent()`
`boolean` | `hasBaseAddress()`
`boolean` | `hasMemoryresourcepool()`
`boolean` | `hasMemorySize()`
`boolean` | `hasParent()`
`void` | `setBaseAddress(java.lang.String x)`
`void` | `setMemoryresourcepool(MemoryResourcePool x)`
`void` | `setMemorySize(long x)`
`void` | `setParent(ComputerSystem x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getBaseAddress

    java.lang.String getBaseAddress()
                                    throws AttributeNotSetException

  Base Physical address of memory on a board. Represented as a hexadecimal address, starting with '0x'. All hexadecimal alphabetic characters are in upper case. Example Content: 0x2000000000 Maximum length (or range): 256 characters

  Throws:
    `AttributeNotSetException`

### setBaseAddress

    void setBaseAddress(java.lang.String x)

### hasBaseAddress

    boolean hasBaseAddress()

### getMemorySize

    long getMemorySize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMemorySize

    void setMemorySize(long x)

### hasMemorySize

    boolean hasMemorySize()

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ComputerSystem x)

### hasParent

    boolean hasParent()

### getMemoryresourcepool

    MemoryResourcePool getMemoryresourcepool()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DonatedTo" reverse="false"

### setMemoryresourcepool

    void setMemoryresourcepool(MemoryResourcePool x)

### hasMemoryresourcepool

    boolean hasMemoryresourcepool()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD